Class | Bio::EMBLDB
In: | lib/bio/db.rb lib/bio/db/embl/common.rb
Parent: | DB

Stores an EMBL style (EMBL, TrEMBL, Swiss-Prot etc.) entry.

### Methods

new

### Classes and Modules

Module Bio::EMBLDB::Common

### Public Class methods

new(entry, tagsize)

The entire entry is passed as a String. The length of the tag field is passed as an Integer. Parses the entry roughly by the entry2hash method and returns a database object.

[Source]

         # File lib/bio/db.rb, line 306
    306:   def initialize(entry, tagsize)
    307:     @tagsize = tagsize
    308:     @orig = entry2hash(entry.strip)     # Hash of the original entry
    309:     @data = {}                  # Hash of the parsed entry
    310:   end

[Validate]